#include <stdio.h>
#include <string.h>
#include <avr/io.h>
#include "input.h"



static unsigned char key_status = KEYBOARD_MASK;


void input_init()
{
	KEYBOARD_DDR &= ~KEYBOARD_MASK;
	KEYBOARD_PORT |= KEYBOARD_MASK;
}

unsigned char key_get_event()
{
	unsigned char tmp = key_status;
	key_status = KEYBOARD_PIN & KEYBOARD_MASK;
	tmp ^= key_status;
	tmp &= ~key_status;
	return tmp;
}

unsigned char key_get_status()
{
	return ~key_status;
}
