#include <stdio.h>

// The global AVGA include file.
#include "AVGA/avga.h"

// The header file containing tileset definition for your project.
#include "tileset.h"

// allocate memory areas for the driver
unsigned char screen[DRIVER_REFTABLE_SIZE];
const unsigned char pgmmap[] PROGMEM = TILESET;
unsigned char rammap[DRIVER_RAMMAP_SIZE];


int main( void )
{
	//map memory areas for video driver
	driver_mmap(screen, pgmmap, rammap);
	//initialization for PAL signal
	video_init(PAL);
	//start engine
	enable();

        //wait a second for TV to get in sync.
	wait_seconds(1);

        //print a string
	driver_print_C(6, 8, "Hello, world!");

        //halt so we can see it :)
	while(1);
}

